Redmine - Defect #4824

Unable to connect (can't convert Net::LDAP::LdapError into String)
2010-02-13 00:16 - Fritz s

Status: Closed Start date: 2010-02-13
Priority: Normal Due date: 2010-02-17
Assignee: Jean-Philippe Lang % Done: 0%
Category: Ruby support Estimated time: 0.00 hour
Target version: 1.4.0

Resolution: Fixed Affected version:

Description

| have upgraded to the latest version of redmine and have the current version of ruby installed
[root@systems3 log]# gem list --local
* LOCAL GEMS ***

actionmailer (2.3.5)
actionpack (2.3.5)
activerecord (2.3.5)
activeresource (2.3.5)
activesupport (2.3.5)
fastthread (1.0.7)

mysql (2.8.1)

passenger (2.2.9)

rack (1.0.1)

rails (2.3.5)

rake (0.8.7)

[root@systems3 log]# ruby -v
ruby 1.9.1p376 (2009-12-07 revision 2604 1) [x86_64-linux]
[root@systems3 log]#

everything seem to be in order, but i can no longer login to redmine with LDAP authentication...
i get "Unable to connect (can't convert Net::LDAP::LdapError into String)" error.
Any ideas?

There is nothing wrong with my Idap servers, and DNS is resolving correctly on my redmine box (systems3)

Related issues:
Blocks Redmine - Feature #4050: Ruby 1.9 support Closed 2009-10-18

History

#1 - 2010-02-13 10:33 - Jean-Philippe Lang
- Category changed from LDAP to Ruby support

- Priority changed from Urgent to Normal

Redmine is not yet compatible with ruby1.9. As stated in Redminelnstall, you need 1.8.6 or 1.8.7.
But please attach the error stack so we can have a look at it.

#2 - 2010-02-16 18:17 - Fritz s
Hi Jean-Philippe,

| could not find anything in the httpd/passenger error logs, or the redmine error logs (REDMINEDIR/logs)
seems like whatever the issue is, its not dumping to the standard error logs.

| did downgrade to 1.8.7 and everything is fine now...

#3 - 2010-03-14 12:40 - Steve von Takach
https://www.redmine.org/projects/redmine/wiki/RedmineInstall

This seems to be a fix:

| pulled the SVN sources in case it had already been fixed, but it was still failing. The problem stems from two places
in ber.rb:

1) All 1O.getc calls need to be replaced with 10.getbyte

2) In'to_ber_seq_internal’, the code "s = self.to_s" no longer works, as Array#to_s has changed to pretty-print

the array contents.

Change self.to_s to self.join
The project otherwise seems to be abandoned - no updates since 2006

#4 - 2010-03-14 12:52 - Steve von Takach

In fact the following is a drop in replacement that will have redmine running with LDAP on Ruby 1.9
http://github.com/RoryO/ruby-net-ldap

#5 - 2011-12-13 10:29 - Etienne Massip

- Target version set to 1.4.0

Solved in ChiliProject by upgrading vendored ruby-net-ldap (which is not maintained anymore) to net-ldap.

#6 - 2012-02-02 20:30 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r8751.

2025-07-07

22


http://rubyforge.org/tracker/index.php?func=detail&aid=24494&group_id=143&atid=631
http://github.com/RoryO/ruby-net-ldap
https://www.chiliproject.org/issues/258
https://www.redmine.org/projects/redmine/repository/svn/revisions/8751
http://www.tcpdf.org

